<?php //350ver
// *************************************************************************
// * COZA UNIFORUM SA PLUG-IN FOR                                          *
// * WHMCompleteSolution - Client Management, Billing & Support System     *
// * Release Date: 2nd August 2008                                         *
// * Version Update 01 September 2011                                      *
// * Version 3.5                                                           *
// *                                                                       *
// *************************************************************************
// * Written by PhoenixCOZA                                                *
// * Twitter: htttp://www.twitter.com/PhoenixCOZA                          *
// * Website: htttp://www.numafrica.co.za                                  *
// *                                                                       *
// *************************************************************************
// *                                                                       *
// * This software is furnished under a license and may be used and copied *
// * only  in  accordance  with  the  terms  of such  license and with the *
// * inclusion of the above copyright notice.  This software  or any other *
// * copies thereof may not be provided or otherwise made available to any *
// * other person.  No title to and  ownership of the  software is  hereby *
// * transferred.                                                          *
// *                                                                       *
// *************************************************************************

function coza_getConfigArray() {
	$configarray = array(

    "EmailAddress" => array( "Type" => "text", "Size" => "40", "Description" => "Enter the Registrar API email Default:coza-admin@co.za", ),
    "RegEmail" => array( "Type" => "text", "Size" => "40", "Description" => "Enter Your Company DNS Control Email *Sender for Registration", ),
    "TechEmail" => array( "Type" => "text", "Size" => "40", "Description" => "Email for DNS Technical support", ),
    "TradingName" => array( "Type" => "text", "Size" => "40", "Description" => "Enter Your Company Trading Name for Billing", ),
    "BillingEmail" => array( "Type" => "text", "Size" => "20", "Description" => "Billing Email address NB: Renewal Payment Notifications are sent here", ),
    "CompanyVat" => array( "Type" => "text", "Size" => "20", "Description" => "Enter Your Company VAT Number for Billing", ),
    "CompanyFax" => array( "Type" => "text", "Size" => "20", "Description" => "Enter Your Company Fax Number", ),
    "CompanyPhone" => array( "Type" => "text", "Size" => "20", "Description" => "Enter Your Company Fax Number", ),
    "RegAd1" => array( "Type" => "text", "Size" => "20", "Description" => "Admin and Technical Address Line 1", ),
    "RegAd2" => array( "Type" => "text", "Size" => "20", "Description" => "Admin and Technical Address Line2", ),
    "RegCity" => array( "Type" => "text", "Size" => "20", "Description" => "Admin and Technical City", ),
    "RegState" => array( "Type" => "text", "Size" => "20", "Description" => "Province", ),
    "RegPostcode" => array( "Type" => "text", "Size" => "4", "Description" => "Admin and Technical Postal Code", ),
    "RegName" => array( "Type" => "text", "Size" => "40", "Description" => "Your Department or Contact Person for DNS Control", ),
);
    return $configarray;
}

function coza_RegisterDomain($params) {
	global $CONFIG;
    $TradingName = $params["TradingName"];
    $CompanyVat = $params["CompanyVat"];
    $CompanyFax = $params["CompanyFax"];
	$command = "Register Domain";
    $message = "\n
     *************************NB!!!!****************************
     *Please view http://co.za/ect before completing this form.*
     ***********************************************************


            *** DO NOT DELETE or ALTER ANY OF THE FOLLOWING TEXT ***

                              UNIFORUM  S.A.
                        COZA Registration Office
                      Last Change - 01 February 2008

               APPLICATION TO ESTABLISH A SUB-DOMAIN WITHIN
                    THE .CO.ZA NAMESPACE OF THE INTERNET.

     ===================================================================
     |UniForum S.A. has administered the '.CO.ZA.' namespace as from   |
     |the 15th October, 1995.                                          |
     |                                                                 |
     |     ** TERMS AND CONDITIONS AND POLICIES OF REGISTRATION **     |
     |.CO.ZA Domain registrations are subject to the terms and         |
     |conditions as published at http://co.za from time to time.       |
     |                                                                 |
     |                ** COSTS OF REGISTRATION **                      |
     |.CO.ZA Domain registrations are subject to charges as published  |
     |at http://co.za from time to time.                               |
     |                                                                 |
     |                ** DOCUMENT INSTRUCTIONS **                      |
     |This document is scanned electronically so please observe        |
     |instructions regarding the document format. Do not uuencode or   |
     |send it in base64 format. Do not edit this document with a       |
     |word processor that does not leave this form in plain ascii text.|
     |                                                                 |
     |Please send only ONE APPLICATION per electronic mail.            |
     |                                                                 |
     |If you do not understand something, please refer to the faq      |
     |or contact UniForum SA's office, the details of which are        |
     |available at http://co.za                                        |
     |                                                                 |
     |Please Email the completed form once the domain is ready to:     |
     |             coza-admin@co.za                                    |
     |Please send any other queries to: support@co.za                  |
     |Use the 'coza-admin' email ONLY FOR COMPLETED FORMS.             |
     |                                                                 |
     |                ** VAT AND INVOICING **                          |
     |IMPORTANT NOTICE: All tax invoices pursuant to this application  |
     |form will be sent electronically. By submitting this form to     |
     |UniForum SA the designated Billing Contact (line 2f) hereby      |
     |irrevocably agrees and confirms that it is both willing and      |
     |able to receive tax invoices in this format.                     |
     ===================================================================


 1. DOMAIN NAME and ACTION

    Give the name of the subdomain.  This is the name that will be
    used in tables and lists associating the domain with the name
    server and IP addresses.  The .co.za domain names that are
    delegated by UniForum S.A. are at the third level, for example:
    thisnetwork.co.za.  Domain names in the CO.ZA zone are limited
    to 30 characters.
    The Action field specifies whether this is a 'N'ew application, an
    'U'pdate or a 'D'eletion.

    1a. Complete domain name:  ".$params["sld"].".".$params["tld"]."
    1b. Action - [N]ew, [U]pdate, or [D]elete : N


 2. DOMAIN REGISTRANT and BILLING

    The name and postal address of the domain registrant.
    (Postal address and Street address, delimited with commas,
    on a single line please). Invoices are sent electronically.

    2a. Domain Registrant:".$params["companyname"].",".$params["registrantname"]."
    2b. Registrant Postal address: ".$params["address1"].",".$params["address2"].",".$params["city"].",".$params["state"].",".$params["country"].",".$params["postcode"]."
    2c. Registrant Street address: ".$params["address1"].",".$params["address2"].",".$params["city"].",".$params["state"].",".$params["country"].",".$params["postcode"]."

    2e. [I]nvoice or [A]ccount (Default I): I
    2f. Organisation to be billed or account no. :  ".$TradingName."
    2g. Email to send invoices to: ".$params["BillingEmail"]."

    Item 2i must contain the Postal Address for Tax Invoicing purposes.

    2i. Invoice Addr: ".$params["adminaddress1"].", ".$params["adminaddress2"].", ".$params["admincity"].", ".$params["adminstate"].", ".$params["admincountry"].", ".$params["adminpostcode"]."

    2j. Registrant Phone No.: ".$params["fullphonenumber"]."
    2k. Registrant Fax No.  : ".$params["fax"]."
    2l. Registrant e-mail   : ".$params["email"]."

    2n. VAT No. for 2f : ".$CompanyVat."

 3. CNAME - This section is no longer in use

    Should you be updating information other than the CNAME information
    for a current CNAME registration, leave the following three fields
    exactly the same as the current registration (Details can be found
    at http://co.za/whois.shtml).
    If you are migrating a CNAME registration to a Nameserver registration
    (Section 6) leave the following blank.


    3b. Full CNAME :
    3c. Sub alias 1:
    3d. Sub alias 2:



 4. ADMINISTRATIVE CONTACT

    It is necessary to provide details of a person who deals with the
    administrative matters of the registrant for .co.za domains.
    (Postal address, delimited by comma's, on a single line please)
    (Phone and Fax numbers in International form - ie +27 11 314 0077)

    4a. Name (last, first):  ".$params["adminlastname"]." ".$params["adminfirstname"]."
    4b. Title/position: DNS Administrator
    4c. Organisation: ".$params["admincompanyname"]."
    4d. Postal Addr:  ".$params["adminaddress1"].", ".$params["adminaddress2"].", ".$params["admincity"].", ".$params["adminstate"].", ".$params["admincountry"].", ".$params["adminpostcode"]."
    4e. Phone Number: ".$params["adminphonenumber"]."
    4f. Fax Number:  ".$params["adminfax"]."
    4g. Email: ".$params["adminemail"]."


 5. TECHNICAL CONTACT

    It is necessary to provide details of a person who deals with the
    technical matters of the registrant for .co.za domains.
    (Postal address, delimited by comma's, on a single line please)
    (Phone and Fax numbers in International form - ie +27 11 314 0077)

    5a. Name (last, first): ".$params["adminlastname"]." ".$params["adminfirstname"]."
    5b. Title/position:  Support
    5c. Organisation: ".$params["admincompanyname"]."
    5d. Postal Addr: ".$params["adminaddress1"].", ".$params["adminaddress2"].", ".$params["admincity"].", ".$params["adminstate"].", ".$params["admincountry"].", ".$params["adminpostcode"]."
    5e. Phone Number: ".$params["adminphonenumber"]."
    5f. Fax Number: ".$params["adminfax"]."
    5g. Email: ".$params["adminemail"]."


 6. NAMESERVERS FOR THIS DOMAIN

    Domain administrators should provide at least two independent
    nameserver hosts for the requested domain.  Please ensure that the
    servers are in physically separate locations and on different sections
    of the Internet.

    Nameserver records only require glue address records when the nameserver
    is a child of the domain being registered. Any glue address records that
    are provided for nameservers that are not a child of the domain being
    registered will be ignored.

    More than one glue address record may be specified for a single nameserver
    record as a comma delimited list.

    All nameservers should be operational before submitting this
    application.  There is a limit of five nameservers for the .co.za zone.
    'FQDN' is the Fully Qualified Domain Name of the host.

        *** IF YOU DO NOT KNOW SOMETHING - ASK YOUR ISP ***

    6a. Primary server FQDN: ".$params["ns1"]."
    6b. Primary server IPv4 glue:
    6c. Primary server IPv6 glue:

    6e. Secondary server FQDN: ".$params["ns2"]."
    6f. Secondary server IPv4 glue:
    6g. Secondary server IPv6 glue:

    6i. Secondary server FQDN: ".$params["ns3"]."
    6j. Secondary server IPv4 glue:
    6k. Secondary server IPv6 glue:

    6m. Secondary server FQDN:  ".$params["ns4"]."
    6n. Secondary server IPv4 glue:
    6o. Secondary server IPv6 glue:

    6q. Secondary server FQDN:
    6r. Secondary server IPv4 glue:
    6s. Secondary server IPv6 glue:


 7 AND 8 - these sections are no longer in use.

 9. PLEASE DESCRIBE YOUR ORGANISATION BRIEFLY.

    Information NOT on a labelled line will be ignored.

    9a. :
    9b. :
    9c. :
    9d. :
    9e. :
    9f. :

10. DOMICILIUM CITANDI ET EXECUTANDI

    The organisation specified in 2 above chooses as its address for
    the giving and serving of notices the following street address.
    Box numbers are not acceptable. (This could be the same as 2c. above).


            ....".$params["registrantname"]."......

            ...".$params["address1"].",".$params["address2"].",..

            ...".$params["city"].",................

            ...".$params["postcode"].".............
             ";


	$message = $message."\n ";
	$headers = "MIME-Version: 1.0\r\n";
	$headers .= "Content-type: text/plain; charset=iso-8859-1\r\n";
	$headers .= "From: ".$CONFIG["CompanyName"]." <".$params["adminemail"].">\r\n";
	$headers .= "Cc: ".$params["TechEmail"]." \r\n";  
	mail($params["EmailAddress"],$command,$message,$headers);
}

function coza_TransferDomain($params) {
	global $CONFIG;
    $TradingName = $params["TradingName"];
    $CompanyVat = $params["CompanyVat"];
    $CompanyFax = $params["CompanyFax"];
	$command = "Transfer Domain";
    $message = "\n
     *************************NB!!!!****************************
     *Please view http://co.za/ect before completing this form.*
     ***********************************************************


            *** DO NOT DELETE or ALTER ANY OF THE FOLLOWING TEXT ***

                              UNIFORUM  S.A.
                        COZA Registration Office
                      Last Change - 01 February 2008

               APPLICATION TO ESTABLISH A SUB-DOMAIN WITHIN
                    THE .CO.ZA NAMESPACE OF THE INTERNET.

     ===================================================================
     |UniForum S.A. has administered the '.CO.ZA.' namespace as from   |
     |the 15th October, 1995.                                          |
     |                                                                 |
     |     ** TERMS AND CONDITIONS AND POLICIES OF REGISTRATION **     |
     |.CO.ZA Domain registrations are subject to the terms and         |
     |conditions as published at http://co.za from time to time.       |
     |                                                                 |
     |                ** COSTS OF REGISTRATION **                      |
     |.CO.ZA Domain registrations are subject to charges as published  |
     |at http://co.za from time to time.                               |
     |                                                                 |
     |                ** DOCUMENT INSTRUCTIONS **                      |
     |This document is scanned electronically so please observe        |
     |instructions regarding the document format. Do not uuencode or   |
     |send it in base64 format. Do not edit this document with a       |
     |word processor that does not leave this form in plain ascii text.|
     |                                                                 |
     |Please send only ONE APPLICATION per electronic mail.            |
     |                                                                 |
     |If you do not understand something, please refer to the faq      |
     |or contact UniForum SA's office, the details of which are        |
     |available at http://co.za                                        |
     |                                                                 |
     |Please Email the completed form once the domain is ready to:     |
     |             coza-admin@co.za                                    |
     |Please send any other queries to: support@co.za                  |
     |Use the 'coza-admin' email ONLY FOR COMPLETED FORMS.             |
     |                                                                 |
     |                ** VAT AND INVOICING **                          |
     |IMPORTANT NOTICE: All tax invoices pursuant to this application  |
     |form will be sent electronically. By submitting this form to     |
     |UniForum SA the designated Billing Contact (line 2f) hereby      |
     |irrevocably agrees and confirms that it is both willing and      |
     |able to receive tax invoices in this format.                     |
     ===================================================================


 1. DOMAIN NAME and ACTION

    Give the name of the subdomain.  This is the name that will be
    used in tables and lists associating the domain with the name
    server and IP addresses.  The .co.za domain names that are
    delegated by UniForum S.A. are at the third level, for example:
    thisnetwork.co.za.  Domain names in the CO.ZA zone are limited
    to 30 characters.
    The Action field specifies whether this is a 'N'ew application, an
    'U'pdate or a 'D'eletion.

    1a. Complete domain name:  ".$params["sld"].".".$params["tld"]."
    1b. Action - [N]ew, [U]pdate, or [D]elete : U


 2. DOMAIN REGISTRANT and BILLING

    The name and postal address of the domain registrant.
    (Postal address and Street address, delimited with commas,
    on a single line please). Invoices are sent electronically.

    2a. Domain Registrant:".$params["companyname"].",".$params["registrantname"]."
    2b. Registrant Postal address: ".$params["address1"].",".$params["address2"].",".$params["city"].",".$params["state"].",".$params["country"].",".$params["postcode"]."
    2c. Registrant Street address: ".$params["address1"].",".$params["address2"].",".$params["city"].",".$params["state"].",".$params["country"].",".$params["postcode"]."

    2e. [I]nvoice or [A]ccount (Default I): I
    2f. Organisation to be billed or account no. :  ".$TradingName."
    2g. Email to send invoices to: ".$params["BillingEmail"]."

    Item 2i must contain the Postal Address for Tax Invoicing purposes.

    2i. Invoice Addr: ".$params["RegAd1"].", ".$params["RegAd2"].", ".$params["RegCity"].", ".$params["RegState"].", ".$params["RegCountry"].", ".$params["RegPostcode"]."

    2j. Registrant Phone No.: ".$params["fullphonenumber"]."
    2k. Registrant Fax No.  : ".$params["fax"]."
    2l. Registrant e-mail   : ".$params["email"]."

    2n. VAT No. for 2f : ".$CompanyVat."

 3. CNAME - This section is no longer in use

    Should you be updating information other than the CNAME information
    for a current CNAME registration, leave the following three fields
    exactly the same as the current registration (Details can be found
    at http://co.za/whois.shtml).
    If you are migrating a CNAME registration to a Nameserver registration
    (Section 6) leave the following blank.


    3b. Full CNAME :
    3c. Sub alias 1:
    3d. Sub alias 2:



 4. ADMINISTRATIVE CONTACT

    It is necessary to provide details of a person who deals with the
    administrative matters of the registrant for .co.za domains.
    (Postal address, delimited by comma's, on a single line please)
    (Phone and Fax numbers in International form - ie +27 11 314 0077)

    4a. Name (last, first):  ".$params["RegName"]."
    4b. Title/position: DNS Administrator
    4c. Organisation: ".$params["TradingName"]."
    4d. Postal Addr:  ".$params["RegAd1"].", ".$params["RegAd2"].", ".$params["RegCity"].", ".$params["RegState"].", ".$params["RegCountry"].", ".$params["RegPostcode"]."
    4e. Phone Number: ".$params["CompanyPhone"]."
    4f. Fax Number:  ".$params["CompanyFax"]."
    4g. Email: ".$params["RegEmail"]."


 5. TECHNICAL CONTACT

    It is necessary to provide details of a person who deals with the
    technical matters of the registrant for .co.za domains.
    (Postal address, delimited by comma's, on a single line please)
    (Phone and Fax numbers in International form - ie +27 11 314 0077)

    5a. Name (last, first): ".$params["RegName"]."
    5b. Title/position:  Support
    5c. Organisation: ".$params["TradingName"]."
    5d. Postal Addr: ".$params["RegAd1"].", ".$params["RegAd2"].", ".$params["RegCity"].", ".$params["RegState"].", ".$params["RegCountry"].", ".$params["RegPostcode"]."
    5e. Phone Number: ".$params["CompanyPhone"]."
    5f. Fax Number: ".$params["CompanyFax"]."
    5g. Email: ".$params["TechEmail"]."


 6. NAMESERVERS FOR THIS DOMAIN

    Domain administrators should provide at least two independent
    nameserver hosts for the requested domain.  Please ensure that the
    servers are in physically separate locations and on different sections
    of the Internet.

    Nameserver records only require glue address records when the nameserver
    is a child of the domain being registered. Any glue address records that
    are provided for nameservers that are not a child of the domain being
    registered will be ignored.

    More than one glue address record may be specified for a single nameserver
    record as a comma delimited list.

    All nameservers should be operational before submitting this
    application.  There is a limit of five nameservers for the .co.za zone.
    'FQDN' is the Fully Qualified Domain Name of the host.

        *** IF YOU DO NOT KNOW SOMETHING - ASK YOUR ISP ***

    6a. Primary server FQDN: ".$params["ns1"]."
    6b. Primary server IPv4 glue:
    6c. Primary server IPv6 glue:

    6e. Secondary server FQDN: ".$params["ns2"]."
    6f. Secondary server IPv4 glue:
    6g. Secondary server IPv6 glue:

    6i. Secondary server FQDN: ".$params["ns3"]."
    6j. Secondary server IPv4 glue:
    6k. Secondary server IPv6 glue:

    6m. Secondary server FQDN:  ".$params["ns4"]."
    6n. Secondary server IPv4 glue:
    6o. Secondary server IPv6 glue:

    6q. Secondary server FQDN:
    6r. Secondary server IPv4 glue:
    6s. Secondary server IPv6 glue:


 7 AND 8 - these sections are no longer in use.

 9. PLEASE DESCRIBE YOUR ORGANISATION BRIEFLY.

    Information NOT on a labelled line will be ignored.

    9a. :
    9b. :
    9c. :
    9d. :
    9e. :
    9f. :

10. DOMICILIUM CITANDI ET EXECUTANDI

    The organisation specified in 2 above chooses as its address for
    the giving and serving of notices the following street address.
    Box numbers are not acceptable. (This could be the same as 2c. above).


            ....".$params["registrantname"]."......

            ...".$params["address1"].",".$params["address2"].",..

            ...".$params["city"].",................

            ...".$params["postcode"].".............
             ";


	$message = $message."\n ";
	$headers = "MIME-Version: 1.0\r\n";
	$headers .= "Content-type: text/plain; charset=iso-8859-1\r\n";
	$headers .= "From: ".$CONFIG["CompanyName"]." <".$params["RegEmail"].">\r\n";
	mail($params["EmailAddress"],$command,$message,$headers);
}

function coza_RenewDomain($params) {
    global $CONFIG;
    $command = "Renew Domain";
    $message = "\n
    Domain: ".$params["sld"].".".$params["tld"]."
    Registration Period: ".$params["regperiod"]."
    The Payment for Renewal of the Domain: ".$params["sld"].".".$params["tld"]." has been received.
    Please make Payment to UniForum SA for the Domain: ".$params["sld"].".".$params["tld"]." .

        Banking Details
        Name: UniForum SA
        Nedbank - Midrand
        Code: 16864280 For those that require 8 digits
        168642 For those that require 6 digits
        Account No: 1686-113250
        Type: Current Account

        Credit Card Payment
        https://secure.coza.net.za/domSel.php

     ";
	$message = $message."\n ";
	$headers = "MIME-Version: 1.0\r\n";
	$headers .= "Return-Path: <".$CONFIG["Email"].">\r\n";
	$headers .= "Content-type: text/plain; charset=iso-8859-1\r\n";
	$headers .= "From: ".$CONFIG["CompanyName"]." <".$CONFIG["RegEmail"].">\r\n";
	$headers .= "Cc: ".$params["TechEmail"]." \r\n";  
	mail($params["RegEmail"],$command,$message,$headers);

}


?>